Contracts Metadata
Get contract metadata for a company.
View as MarkdownReturns metadata about contracts associated with the specified company.
Endpoint
GET /api/v1/companies/:company_id/contracts/metaParameters
| Parameter | Type | In | Description |
|---|---|---|---|
company_id | integer | path | The unique identifier of the company. |
Code Examples
Get contracts metadata
import requests
url = 'https://statsnet.co/api/v1/companies/12345/contracts/meta'
headers = {
'Authorization': 'Bearer sk_live_YOUR_KEY',
'Content-Type': 'application/json'
}
response = requests.get(url, headers=headers).json()
print(response)Response
Success response
{
"company_id": 12345,
"gov_contracts_meta": [
{ "sum": 15000000, "year": 2024, "count": 3, "method": "Из одного источника" }
],
"gov_applications_meta": [
{ "sum": 2500000, "year": 2024, "count": 1 }
],
"quasi_contracts_meta": [
{ "sum": 5000000, "year": 2024, "count": 2 }
]
}Error Handling
Error response
{
"status": 403,
"message": "access denied"
}